<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-elemento-heading" jhiTranslate="shoppingonlineApp.elemento.home.createOrEditLabel">Create or edit a Elemento</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.elemento.tipologia" for="field_tipologia">Tipologia</label>
                    <input type="text" class="form-control" name="tipologia" id="field_tipologia"
                           formControlName="tipologia"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.elemento.prezzo" for="field_prezzo">Prezzo</label>
                    <input type="number" class="form-control" name="prezzo" id="field_prezzo"
                           formControlName="prezzo"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.elemento.descrizione" for="field_descrizione">Descrizione</label>
                    <input type="text" class="form-control" name="descrizione" id="field_descrizione"
                           formControlName="descrizione"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.elemento.configurazione" for="field_configurazione">Configurazione</label>
                    <select class="form-control" id="field_configurazione" name="configurazione" formControlName="configurazione">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="configurazioneOption.id === editForm.get('configurazione')!.value?.id ? editForm.get('configurazione')!.value : configurazioneOption" *ngFor="let configurazioneOption of configuraziones; trackBy: trackById">{{ configurazioneOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.elemento.catalogo" for="field_catalogo">Catalogo</label>
                    <select class="form-control" id="field_catalogo" name="catalogo" formControlName="catalogo">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="catalogoOption.id === editForm.get('catalogo')!.value?.id ? editForm.get('catalogo')!.value : catalogoOption" *ngFor="let catalogoOption of catalogos; trackBy: trackById">{{ catalogoOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
